Bug 104207 - Config file points to wrong drift file
Config file points to wrong drift file
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-11 04:39 EDT by Göran Uddeborg
Modified: 2007-04-18 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-18 03:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2003-09-11 04:39:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
Ntpd generates syslog messages like

Sep 11 09:49:01 schiphol ntpd[23791]: can't open /etc/ntp/data/drift.TEMP: No
such file or directory

There is no directory /etc/ntp/data in the ntp rpm.  There is a file
/var/lib/ntp/drift in the rpm, but it is not pointed to by the default config file.

I assume the default /etc/ntp.conf should contain

   driftfile /var/lib/ntp/drift

Version-Release number of selected component (if applicable):

This seems similar to bug 97754, but that was supposed to be fixed in release
1.rc3.3, and I still see the problem in release 3.

How reproducible:

Steps to Reproduce:
1. Install ntp
Comment 1 Steffen Mann 2003-12-17 11:18:11 EST
in /var/log/messages auf
ntpd[894]: can't open /etc/ntp/drift.TEMP: Permission denied

correct this behaviour with:

chown -R ntp:ntp /etc/ntp
Comment 2 Harald Hoyer 2003-12-17 11:46:40 EST
/etc/ntp.conf should contain
   driftfile /var/lib/ntp/drift

Note You need to log in before you can comment on or make changes to this bug.